Subject: Spring flowering bulbs going to seed

From: [email-masked] (Kaycee Curr)
Date: Wed, 08 Mar 1995 23:15:54 +0500

I notice every year my spring flowering bulbs have seeds. I read somewhere
that you should deadhead the daffodils and the tulips, but what about the
dying blooms (not leaves) from the crocus, snowdrops, scilla, etc? When I
got them I read that they were perfect for naturalizing, and will multiply
readily. Some of them are on their fourth year in my garden and I haven't
noticed any more flowers than when I first put them in. Was I supposed to
save those seeds and plant them?

Thanks!
Kaycee